osg::TriangleIndexFunctor< T > Class Template Reference

`#include <TriangleIndexFunctor>`

Inheritance diagram for osg::TriangleIndexFunctor< T >:

## Public Member Functions

virtual void | setVertexArray (unsigned int, const Vec2 *)
virtual void | setVertexArray (unsigned int, const Vec3 *)
virtual void | setVertexArray (unsigned int, const Vec4 *)
virtual void | setVertexArray (unsigned int, const Vec2d *)
virtual void | setVertexArray (unsigned int, const Vec3d *)
virtual void | setVertexArray (unsigned int, const Vec4d *)
virtual void | drawArrays (GLenum mode, GLint first, GLsizei count)
virtual void | drawElements (GLenum mode, GLsizei count, const GLubyte *indices)
virtual void | drawElements (GLenum mode, GLsizei count, const GLushort *indices)
virtual void | drawElements (GLenum mode, GLsizei count, const GLuint *indices)
Public Member Functions inherited from osg::PrimitiveIndexFunctor
virtual | ~PrimitiveIndexFunctor ()

## Member Function Documentation

## drawArrays()

template<class T>

virtual void osg::TriangleIndexFunctor< T >::drawArrays | ( | GLenum | mode,
|  | GLint | first,
|  | GLsizei | count )

inline virtual

Implements osg::PrimitiveIndexFunctor.

## drawElements() [1/3]

template<class T>

virtual void osg::TriangleIndexFunctor< T >::drawElements | ( | GLenum | mode,
|  | GLsizei | count,
|  | const GLubyte * | indices )

inline virtual

Implements osg::PrimitiveIndexFunctor.

## drawElements() [2/3]

template<class T>

virtual void osg::TriangleIndexFunctor< T >::drawElements | ( | GLenum | mode,
|  | GLsizei | count,
|  | const GLuint * | indices )

inline virtual

Implements osg::PrimitiveIndexFunctor.

## drawElements() [3/3]

template<class T>

virtual void osg::TriangleIndexFunctor< T >::drawElements | ( | GLenum | mode,
|  | GLsizei | count,
|  | const GLushort * | indices )

inline virtual

Implements osg::PrimitiveIndexFunctor.

## setVertexArray() [1/6]

template<class T>

virtual void osg::TriangleIndexFunctor< T >::setVertexArray | ( | unsigned int | ,
|  | const Vec2 * | )

inline virtual

Implements osg::PrimitiveIndexFunctor.

## setVertexArray() [2/6]

template<class T>

virtual void osg::TriangleIndexFunctor< T >::setVertexArray | ( | unsigned int | ,
|  | const Vec2d * | )

inline virtual

Implements osg::PrimitiveIndexFunctor.

## setVertexArray() [3/6]

template<class T>

virtual void osg::TriangleIndexFunctor< T >::setVertexArray | ( | unsigned int | ,
|  | const Vec3 * | )

inline virtual

Implements osg::PrimitiveIndexFunctor.

## setVertexArray() [4/6]

template<class T>

virtual void osg::TriangleIndexFunctor< T >::setVertexArray | ( | unsigned int | ,
|  | const Vec3d * | )

inline virtual

Implements osg::PrimitiveIndexFunctor.

## setVertexArray() [5/6]

template<class T>

virtual void osg::TriangleIndexFunctor< T >::setVertexArray | ( | unsigned int | ,
|  | const Vec4 * | )

inline virtual

Implements osg::PrimitiveIndexFunctor.

## setVertexArray() [6/6]

template<class T>

virtual void osg::TriangleIndexFunctor< T >::setVertexArray | ( | unsigned int | ,
|  | const Vec4d * | )

inline virtual

Implements osg::PrimitiveIndexFunctor.

The documentation for this class was generated from the following file:

- TriangleIndexFunctor